public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/languagetool/
Date: Wed, 30 Aug 2017 19:14:11 +0000 (UTC)	[thread overview]
Message-ID: <1504120448.72f5d7034f0fe1ab1a97d9b45db6e26c37c7eb03.monsieurp@gentoo> (raw)

commit:     72f5d7034f0fe1ab1a97d9b45db6e26c37c7eb03
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 30 19:13:50 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Aug 30 19:14:08 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72f5d703

app-text/languagetool: define DEPEND variable.

Gentoo-Bug: https://bugs.gentoo.org/628948

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 app-text/languagetool/languagetool-3.5-r2.ebuild | 70 ++++++++++++++++++++++++
 1 file changed, 70 insertions(+)

diff --git a/app-text/languagetool/languagetool-3.5-r2.ebuild b/app-text/languagetool/languagetool-3.5-r2.ebuild
new file mode 100644
index 00000000000..87e4e2637f4
--- /dev/null
+++ b/app-text/languagetool/languagetool-3.5-r2.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit java-pkg-2
+
+MY_PN=LanguageTool
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="A proof-reading tool for many languages"
+HOMEPAGE="http://www.languagetool.org/"
+SRC_URI="http://www.languagetool.org/download/${MY_P}.zip"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+CDEPEND="
+	dev-java/commons-cli:1
+	dev-java/commons-collections:4
+	dev-java/commons-io:1
+	dev-java/commons-lang:2.1
+	dev-java/commons-logging:0
+	dev-java/guava:20
+	dev-java/hamcrest-core:1.3
+	dev-java/jackson:2
+	dev-java/jackson-databind:2
+	dev-java/jcommander:0
+	dev-java/jna:4
+	dev-java/slf4j-api:0
+	dev-java/slf4j-nop:0
+"
+
+RDEPEND="
+	${CDEPEND}
+	>=virtual/jre-1.8"
+
+DEPEND="
+	${CDEPEND}
+	app-arch/unzip
+	>=virtual/jdk-1.8"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+	default
+	rm -v libs/{commons,hamcrest,guava,jackson,jcommander,jna,junit,slf4j}*.jar || die
+
+	# Loads of bundled stuff :(
+	#java-pkg-2_src_prepare
+}
+
+src_compile() { :; }
+
+src_install() {
+	java-pkg_dojar *.jar libs/*.jar
+
+	local DIR=/usr/share/${PN}/lib/language-modules
+	java-pkg_addcp "${EPREFIX}${DIR}"
+	insinto ${DIR}
+	doins -r org META-INF
+
+	java-pkg_dolauncher ${PN} --main org.${PN}.commandline.Main
+	java-pkg_dolauncher ${PN}-gui --main org.${PN}.gui.Main
+
+	unset MY_DEPEND
+	java-pkg_gen-cp MY_DEPEND
+	java-pkg_register-dependency "${MY_DEPEND}"
+}


             reply	other threads:[~2017-08-30 19:14 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-30 19:14 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-07  6:38 [gentoo-commits] repo/gentoo:master commit in: app-text/languagetool/ Miroslav Šulc
2024-05-09 13:30 Joonas Niilola
2023-10-01  7:40 Miroslav Šulc
2023-05-16 17:05 Arthur Zamarin
2022-02-15 15:31 Jakov Smolić
2021-10-11  6:59 Patrice Clement
2019-05-09  8:46 Tim Harder
2019-05-09  8:35 Tim Harder
2018-03-05 22:00 Patrice Clement
2017-08-31 19:31 James Le Cuirot
2016-11-27 23:10 James Le Cuirot
2016-11-27 23:10 James Le Cuirot
2016-10-26  4:07 Tim Harder
2016-09-24  1:51 Tim Harder
2016-09-24  1:38 Tim Harder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1504120448.72f5d7034f0fe1ab1a97d9b45db6e26c37c7eb03.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox